Fatal error:

Shopp requires JPEG support in the GD image library. Your web hosting environment does not currently have a version of GD installed that has JPEG support.

Sorry! You will not be able to use Shopp. For more information, see the online Shopp documentation.

in /home/wethe6/public_html/wp-content/plugins/shopp/core/functions.php on line 350